GDCM 2.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes
gdcm::SegmentHelper::BasicCodedEntry Struct Reference

This structure defines a basic coded entry with all of its attributes. More...

`#include <gdcmSegmentHelper.h>`

Collaboration diagram for gdcm::SegmentHelper::BasicCodedEntry:
[legend]

List of all members.

## Public Member Functions

| BasicCodedEntry ()
| Constructor.
| BasicCodedEntry (const char *a_CV, const char *a_CSD, const char *a_CM)
| constructor which defines type 1 attributes.
| BasicCodedEntry (const char *a_CV, const char *a_CSD, const char *a_CSV, const char *a_CM)
| constructor which defines attributes.
bool | IsEmpty (const bool checkOptionalAttributes=false) const
| Check if each attibutes of the basic coded entry is defined.

## Public Attributes

std::string | CM
| Coding Scheme Version attribute.
std::string | CSD
| Code Value attribute.
std::string | CSV
| Coding Scheme Designator attribute.
std::string | CV

## Detailed Description

This structure defines a basic coded entry with all of its attributes.

See also:
  PS 3.3 section 8.8.

## Constructor & Destructor Documentation

gdcm::SegmentHelper::BasicCodedEntry::BasicCodedEntry | ( |  | ) | `[inline]`

Constructor.

gdcm::SegmentHelper::BasicCodedEntry::BasicCodedEntry | ( | const char * | a_CV,
|  | const char * | a_CSD,
|  | const char * | a_CM
| ) |  | `[inline]`

constructor which defines type 1 attributes.

gdcm::SegmentHelper::BasicCodedEntry::BasicCodedEntry | ( | const char * | a_CV,
|  | const char * | a_CSD,
|  | const char * | a_CSV,
|  | const char * | a_CM
| ) |  | `[inline]`

constructor which defines attributes.

## Member Function Documentation

bool gdcm::SegmentHelper::BasicCodedEntry::IsEmpty | ( | const bool | checkOptionalAttributes = `false` | ) | const

Check if each attibutes of the basic coded entry is defined.

Parameters:

  checkOptionalAttributes | Check also type 1C attributes.

## Member Data Documentation

std::string gdcm::SegmentHelper::BasicCodedEntry::CM

Coding Scheme Version attribute.

std::string gdcm::SegmentHelper::BasicCodedEntry::CSD

Code Value attribute.

std::string gdcm::SegmentHelper::BasicCodedEntry::CSV

Coding Scheme Designator attribute.

std::string gdcm::SegmentHelper::BasicCodedEntry::CV

The documentation for this struct was generated from the following file:

- gdcmSegmentHelper.h